## tdenetwork-trinity 14.0.8

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdenetwork )

set( PACKAGE tdenetwork )
set( VERSION R14.0.8 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_JINGLE "Enable jingle support (kopete)" OFF )
option( WITH_SPEEX "Enable speex support (for jingle)" OFF )
option( WITH_WEBCAM "Enable webcam support (kopete/msn)" OFF )
option( WITH_GSM "Enable GSM SMS support (kopete/sms)" OFF )
option( WITH_XMMS "Enable XMMS support (kopete/nowlistening)" OFF )
option( WITH_LIBXSLT "Enable XSLT support (kopete/webpresence)" OFF )
option( WITH_ARTS "Enable aRts support" OFF )
option( WITH_SLP "Enable OpenSLP support (krdc, krfb)" OFF )


##### options comments ##########################

# WITH_JINGLE affects kopete[protocol_jabber]
# WITH_SPEEX  affects kopete[protocol_jabber+jingle]
# WITH_WEBCAM affects kopete[protocol_msn]
# WITH_GSM    affects kopete[protocol_sms]
# WITH_GSM    adds another backend to sms protocol in addition
#                  to smsclient and smssend, the gsmlib
# WITH_XMMS   affects kopete[plugin_nowlistening]
# WITH_LIBXSLT affects kopete[plugin_webpresence]
# WITH_ARTS   affects wifi
# WITH_SLP    affects krdc krfb


##### kopete protocols ##########################

option( BUILD_KOPETE_PROTOCOL_ALL "Build all kopete protocols" OFF )
option( BUILD_KOPETE_PROTOCOL_TESTBED "Build kopete protocol testbed" ${BUILD_KOPETE_PROTOCOL_ALL} )
option( BUILD_KOPETE_PROTOCOL_GROUPWISE "Build kopete protocol groupwise" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_MSN "Build kopete protocol msn" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_IRC "Build kopete protocol irc" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_OSCAR "Build kopete protocol oscar" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_YAHOO "Build kopete protocol yahoo" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_WINPOPUP "Build kopete protocol winpopup" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_SMS "Build kopete protocol sms" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_JABBER "Build kopete protocol jabber" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_GADU "Build kopete protocol gadu" ${BUILD_KOPETE_PROTOCOL_ALL}  )
option( BUILD_KOPETE_PROTOCOL_MEANWHILE "Build kopete protocol meanwhile" ${BUILD_KOPETE_PROTOCOL_ALL}  )


##### kopete plugins ############################

option( BUILD_KOPETE_PLUGIN_ALL "Build all kopete plugins" OFF )
option( BUILD_KOPETE_PLUGIN_LATEX "Build latex kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_AUTOREPLACE "Build autoreplace kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_HISTORY "Build history kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CONTACTNOTES "Build contactnotes kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CRYPTOGRAPHY "Build cryptography kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_CONNECTIONSTATUS "Build connectionstatus kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_TRANSLATOR "Build translator kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_NOWLISTENING "Build nowlistening kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_WEBPRESENCE "Build webpresence kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_TEXTEFFECT "Build texteffect kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_HIGHLIGHT "Build highlight kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_ALIAS "Build alias kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_MOTIONAUTOAWAY "Build motionautoaway kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_NETMEETING "Build netmeeting kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_ADDBOOKMARKS "Build addbookmarks kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_STATISTICS "Build statistics kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )
option( BUILD_KOPETE_PLUGIN_SMPPPDCS "Build smpppdcs kopete plugin" ${BUILD_KOPETE_PLUGIN_ALL} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DCOPRSS "Build dcoprss" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_FILESHARING "Build filesharing" ${BUILD_ALL} )
option( BUILD_KDICT "Build kdict" ${BUILD_ALL} )
option( BUILD_TDEDNSSD "Build tdednssd" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KGET "Build kget" ${BUILD_ALL} )
option( BUILD_KNEWSTICKER "Build knewsticker" ${BUILD_ALL} )
option( BUILD_KOPETE "Build kopete" ${BUILD_ALL} )
option( BUILD_KPF "Build kpf" ${BUILD_ALL} )
option( BUILD_KPPP "Build kppp" ${BUILD_ALL} )
option( BUILD_KRDC "Build krdc" ${BUILD_ALL} )
option( BUILD_KRFB "Build krfb" ${BUILD_ALL} )
option( BUILD_KSIRC "Build ksirc" ${BUILD_ALL} )
option( BUILD_KTALKD "Build ktalkd" ${BUILD_ALL} )
option( BUILD_LANBROWSING "Build lanbrowsing" ${BUILD_ALL} )
option( BUILD_LIBRSS "Build librss" ${BUILD_ALL} )
option( BUILD_WIFI "Build wifi" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### tdenetwork directories ####################

tde_conditional_add_subdirectory( BUILD_DCOPRSS dcoprss )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_FILESHARING filesharing )
tde_conditional_add_subdirectory( BUILD_KDICT kdict )
tde_conditional_add_subdirectory( BUILD_TDEDNSSD tdednssd )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_KGET kget )
tde_conditional_add_subdirectory( BUILD_KNEWSTICKER knewsticker )
tde_conditional_add_subdirectory( BUILD_KOPETE kopete )
tde_conditional_add_subdirectory( BUILD_KPF kpf )
tde_conditional_add_subdirectory( BUILD_KPPP kppp )
tde_conditional_add_subdirectory( BUILD_KRDC krdc )
tde_conditional_add_subdirectory( BUILD_KRFB krfb )
tde_conditional_add_subdirectory( BUILD_KSIRC ksirc )
tde_conditional_add_subdirectory( BUILD_KTALKD ktalkd )
tde_conditional_add_subdirectory( BUILD_LANBROWSING lanbrowsing )
tde_conditional_add_subdirectory( BUILD_LIBRSS librss )
tde_conditional_add_subdirectory( BUILD_WIFI wifi )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== dcoprss/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( librss )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES rssservice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### rssservice (executable) ###################

tde_add_executable( rssservice AUTOMOC
  SOURCES
    main.cpp service.cpp query.cpp document.cpp article.cpp query.skel
    service.skel xmlrpciface.cpp cache.cpp
  LINK rss-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### rssclient (executable) ####################

tde_add_executable( rssclient
  SOURCES
    client.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### feedbrowser (executable) ##################

tde_add_executable( feedbrowser AUTOMOC
  SOURCES
    feedbrowser.skel feedbrowser.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== wifi/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( kcmwifi )
add_subdirectory( kwireless )
add_subdirectory( pixmaps )
add_subdirectory( locations )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)

if( WITH_ARTS )
  set( ARTS_LIBRARIES artsflow;artsflow_idl;mcop )
endif( )


##### other data ################################

tde_install_icons( )
install( FILES kwifimanagerui.rc DESTINATION ${DATA_INSTALL_DIR}/kwifimanager )
install( FILES kwifimanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kwifimanager (executable) #################

tde_add_executable( kwifimanager AUTOMOC
  SOURCES
    interface_wireless.cpp interface_wireless_wirelessextensions.cpp
    interface_dcop.skel networkscanning.cpp kwifimanager.cpp locator.cpp
    main.cpp picture.cpp speed.cpp statistics.cpp status.cpp strength.cpp
    asusled.cpp
  LINK tdeui-shared ${ARTS_LIBRARIES} ${IW_LIBRARY}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kppp/logview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    kppplogview.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kppplogview (executable) ##################

tde_add_executable( kppplogview AUTOMOC
  SOURCES
    main.cpp loginfo.cpp log.cpp monthly.cpp export.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== krfb/kcm_krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../krfb
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kcmkrfb.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kcm_krfb (module) #########################

tde_add_kpart( kcm_krfb AUTOMOC
  SOURCES configurationwidget.ui kcm_krfb.cpp
  LINK krfbconfig-static srvloc-static tdednssd-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== filesharing/advanced/propsdlgplugin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/filesharing/advanced/kcm_sambaconf
  ${CMAKE_SOURCE_DIR}/filesharing/advanced/kcm_sambaconf
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    fileshare_propsdlgplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### propsdlgplugin_common (static) ############

tde_add_library( propsdlgplugin_common STATIC_PIC AUTOMOC
  SOURCES propertiespage.cpp propertiespagegui.ui
  DEPENDENCIES filesharesamba_generate_headers 
)


##### fileshare_propsdlgplugin (module) #########

tde_add_kpart( fileshare_propsdlgplugin AUTOMOC
  SOURCES propsdlgshareplugin.cpp
  LINK
    propsdlgplugin_common-static filesharenfs-static
    filesharesamba-static tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/plugins/addbookmarks/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_addbookmarks.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kopete_addbookmarks_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog )


##### kopete_addbookmarks (module) ##############

tde_add_kpart( kopete_addbookmarks AUTOMOC
  SOURCES
    addbookmarksplugin.cpp addbookmarksprefssettings.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_addbookmarks (module) ##########

tde_add_kpart( kcm_kopete_addbookmarks AUTOMOC
  SOURCES
    addbookmarkspreferences.cpp addbookmarksprefsui.ui
    addbookmarksprefssettings.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/plugins/alias/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_alias.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kopete_alias_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog )


##### kopete_alias (module) #####################

tde_add_kpart( kopete_alias AUTOMOC
  SOURCES
    aliasplugin.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_alias (module) #################

tde_add_kpart( kcm_kopete_alias AUTOMOC
  SOURCES
    aliaspreferences.cpp aliasdialogbase.ui
    aliasdialog.ui editaliasdialog.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/plugins/highlight/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_highlight.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kopete_highlight_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tdeconfiguredialog )


##### kopete_highlight (module) #################

tde_add_kpart( kopete_highlight AUTOMOC
  SOURCES
    highlightplugin.cpp highlightconfig.cpp filter.cpp
  LINK kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_kopete_highlight (module) #############

tde_add_kpart( kcm_kopete_highlight AUTOMOC
  SOURCES
    highlightprefsbase.ui highlightpreferences.cpp
    filter.cpp highlightconfig.cpp
  LINK tdeutils-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/protocols/jabber/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( NOT TQCA_FOUND )
  set( TQCA_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/libiris/qca/src )
  set( TQCA_LIBRARIES "tqca-static" )
endif( )

add_subdirectory( ui )
add_subdirectory( icons )
add_subdirectory( libiris )
add_subdirectory( tdeioslave )

if( WITH_JINGLE )
  add_subdirectory( jingle )
  set( SUPPORT_JINGLE 1 CACHE INTERNAL "" FORCE )
  set( JINGLE_LIBRARIES
    kopetejabberjingle-static cricketsessionphone-static cricketxmllite-static
    cricketp2pclient-static cricketxmpp-static cricketp2pbase-static cricketbase-static
    mediastreamer-static ortp-static
    ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${GMODULE2_LIBRARIES}
    ${EXPAT_LIBRARY} ${SPEEX_LIBRARIES} pthread
  )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/ui
  ${CMAKE_CURRENT_BINARY_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/include
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/jabber
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-im
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/util
  ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/network
  ${CMAKE_CURRENT_SOURCE_DIR}/ui
  ${CMAKE_CURRENT_SOURCE_DIR}/jingle
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete
  ${CMAKE_CURRENT_SOURCE_DIR}/../../libkopete/ui
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TQCA_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_jabber.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES jabberchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber )


##### jabberclient (static) #####################

tde_add_library( jabberclient STATIC_PIC AUTOMOC
  SOURCES
    jabberclient.cpp jabberconnector.cpp jabberbytestream.cpp
)


##### kopete_jabber (module) ####################

tde_add_kpart( kopete_jabber AUTOMOC
  SOURCES
    jabberprotocol.cpp jabberaccount.cpp jabberresource.cpp
    jabberresourcepool.cpp jabberbasecontact.cpp jabbercontact.cpp
    jabbergroupcontact.cpp jabbergroupmembercontact.cpp
    jabbercontactpool.cpp jabberformtranslator.cpp jabberformlineedit.cpp
    jabberchatsession.cpp jabbergroupchatmanager.cpp
    jabberfiletransfer.cpp jabbercapabilitiesmanager.cpp
    jabbertransport.cpp jabberbookmarks.cpp
  LINK
    jabberclient-static kopetejabberui-static
    iris_jabber-static iris_xmpp_core-static iris_xmpp_im-static iris-static
    ${TQCA_LIBRARIES} cutestuff_network-static cutestuff_util-static ${JINGLE_LIBRARIES}
    kopete-shared idn
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/kopete/config/accounts/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kopete/kopete/addaccountwizard
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_accountconfig.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### kcm_kopete_accountconfig (module) #########

tde_add_kpart( kcm_kopete_accountconfig AUTOMOC
  SOURCES kopeteaccountconfigbase.ui kopeteaccountconfig.cpp
  LINK kopeteaddaccountwizard-static kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kopete/kopete/config/identity/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kopete/libkopete
  ${CMAKE_SOURCE_DIR}/kopete/libkopete/ui
  ${CMAKE_SOURCE_DIR}/kopete/libkopete
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kopete_identityconfig.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kopeteidentityconfigpreferences.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### kcm_kopete_identityconfig (module) ########

tde_add_kpart( kcm_kopete_identityconfig AUTOMOC
  SOURCES
    kopeteidentityconfigbase.ui kopeteidentityconfig.cpp
    globalidentitiesmanager.cpp kopeteidentityconfigpreferences.kcfgc
  LINK kopeteui-static kopete-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdenetwork-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:31 +0200

=== debian/control ===
Source: tdenetwork-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libtiff-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel], libxxf86vm-dev, libv4l-dev, automake, autoconf, libtool, libltdl-dev, libtqca-dev
Standards-Version: 3.8.4

Package: tdenetwork-trinity
Section: tde
Architecture: all
Replaces: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-kde3 (<< 4:14.0.0~), kdenetwork-trinity (<< 4:14.0.0~)
Depends: dcoprss-trinity (>= ${source:Version}), tdenetwork-tdefile-plugins-trinity (>= ${source:Version}), kdict-trinity (>= ${source:Version}), tdednssd-trinity (>= ${source:Version}), kget-trinity (>= ${source:Version}), knewsticker-trinity (>= ${source:Version}), kopete-trinity (>= ${source:Version}), kpf-trinity (>= ${source:Version}), kppp-trinity (>= ${source:Version}), krdc-trinity (>= ${source:Version}), krfb-trinity (>= ${source:Version}), ksirc-trinity (>= ${source:Version}), kwifimanager-trinity (>= ${source:Version}), librss1-trinity (>= ${source:Version})
Recommends: tdenetwork-filesharing-trinity (>= ${source:Version}), ktalkd-trinity (>= ${source:Version}), lisa-trinity (>= ${source:Version})
Suggests: tdenetwork-trinity-doc-html (>= ${source:Version})
Description: network-related apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of network and networking related
 applications provided with the official release of Trinity.

Package: dcoprss-trinity
Section: net
Architecture: any
Replaces: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
Breaks: dcoprss-kde3 (<< 4:14.0.0~), dcoprss-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS utilities for Trinity
 tdenetwork-dcoprss is a RSS to DCOP bridge, allowing all
 DCOP aware applications to access RSS news feeds. There is also
 a few sample utilities provided.
 .
 RSS is a standard for publishing news headlines.
 DCOP is the TDE interprocess communication protocol.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdenetwork-kde3-doc-html (<< 4:14.0.0~), kdenetwork-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: Trinity network documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE network documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kdict/. Documentation is provided for most
 TDE network packages.
 .
 This package is part of TDE, and a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-kfile-plugins-kde3 (<< 4:14.0.0~), kdenetwork-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Enhances: konqueror-trinity
Description: torrent metainfo plugin for Trinity
 This package provides a metainformation plugin for bittorrent files.
 .
 Kde uses tdefile-plugins to provide metainfo tab in the files properties
 dialog in konqueror and other file-handling applications.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: tdenetwork-filesharing-trinity
Section: net
Architecture: any
Replaces: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Breaks: kdenetwork-filesharing-kde3 (<< 4:14.0.0~), kdenetwork-filesharing-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: perl-suid
Description: network filesharing configuration module for Trinity
 This package provides a Trinity Control Center module to configure
 NFS and Samba.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kdict-trinity
Section: net
Architecture: any
Replaces: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
Breaks: kdict-kde3 (<< 4:14.0.0~), kdict-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Provides: dict-client-trinity
Description: dictionary client for Trinity
 KDict is an advanced TDE graphical client for the DICT Protocol, with full
 Unicode support. It enables you to search through dictionary databases for a
 word or phrase, then displays suitable definitions. KDict tries to ease
 basic as well as advanced queries.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kget-trinity
Section: net
Architecture: any
Replaces: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
Breaks: kget-kde3 (<< 4:14.0.0~), kget-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: download manager for Trinity
 KGet is a a download manager similar to GetRight or Go!zilla. It keeps
 all your downloads in one dialog and you can add and remove transfers.
 Transfers can be paused, resumed, queued or scheduled.
 Dialogs display info about status of transfers - progress, size, speed
 and remaining time. Program supports drag & drop from TDE
 applications and Netscape.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: knewsticker-trinity
Section: tde
Architecture: any
Replaces: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
Breaks: knewsticker-kde3 (<< 4:14.0.0~), knewsticker-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: khelpcenter-trinity, knewsticker-scripts-trinity
Description: news ticker applet for Trinity
 This is a news ticker applet for the Trinity panel. It can scroll news from
 your favorite news sites, such as lwn.net, /. and freshmeat.net.
 To achieve this, KNewsTicker requires the news sites to provide a
 RSS feed to newsitems. KNewsTicker already comes with a selection of
 good news sources which provide such files.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kopete-trinity
Section: tde
Architecture: any
Replaces: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
Breaks: kopete-kde3 (<< 4:14.0.0~), kopete-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: tqca-tls
Suggests: tdeartwork-emoticons-trinity, khelpcenter-trinity, imagemagick, gnupg, gnomemeeting
Description: instant messenger for Trinity
 Kopete is an instant messenger program which can communicate with a variety
 of IM systems, such as Yahoo, ICQ, MSN, IRC and Jabber.
 .
 Kopete includes the "Now Listening" plug-in that can report what music you
 are currently listening to, in a number of different players, including
 noatun, kscd, juk, kaffeine and amarok.
 .
 Support for more IM protocols can be added through a plugin system.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.
 .
 Homepage: http://kopete.kde.org

Package: kpf-trinity
Section: net
Architecture: any
Replaces: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
Breaks: kpf-kde3 (<< 4:14.0.0~), kpf-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: public fileserver for Trinity
 kpf provides simple file sharing using HTTP. kpf is strictly a public
 fileserver, which means that there are no access restrictions to shared
 files. Whatever you select for sharing is available to anyone. kpf is
 designed to be used for sharing files with friends.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: kppp-trinity
Section: net
Architecture: any
Replaces: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
Breaks: kppp-kde3 (<< 4:14.0.0~), kppp-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ppp
Suggests: khelpcenter-trinity
Description: modem dialer and ppp frontend for Trinity
 KPPP is a dialer and front end for pppd. It allows for interactive
 script generation and network setup. It will automate the dialing in
 process to your ISP while letting you conveniently monitor the entire
 process.
 .
 Once connected KPPP will provide a rich set of statistics and keep
 track of the time spent online for you.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krdc-trinity
Section: net
Architecture: any
Replaces: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
Breaks: krdc-kde3 (<< 4:14.0.0~), krdc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: rdesktop, libjpeg-turbo62
Description: Remote Desktop Connection for Trinity
 krdc is an TDE graphical client for the rfb protocol, used by VNC,
 and if rdesktop is installed, krdc can connect to Windows Terminal
 Servers using RDP.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: krfb-trinity
Section: net
Architecture: any
Replaces: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
Breaks: krfb-kde3 (<< 4:14.0.0~), krfb-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Recommends: libjpeg-turbo62
Description: Desktop Sharing for Trinity
 Desktop Sharing (krfb) is a server application that allows you to share
 your current session with a user on another machine, who can use a
 VNC client like krdc to view or even control the desktop. It doesn't
 require you to start a new X session - it can share the current session.
 This makes it very useful when you want someone to help you perform a
 task.
 .
 This package is part of Trinity, as a component of the TDE network module.
 See the 'tde-trinity' and 'tdenetwork-trinity' packages for more information.

Package: ksirc-trinity
Section: net
Architecture: any
Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)

## tdenetwork-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 project( tdenetwork )
 
 set( PACKAGE tdenetwork )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########

=== krfb/krfb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../srvloc
  ${CMAKE_CURRENT_SOURCE_DIR}/../libvncserver
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( krfb )

tde_create_translated_desktop(
  SOURCE krfb.desktop
  PO_DIR krfb-desktops
)

install( FILES eyes-open24.png eyes-closed24.png connection-side-image.png DESTINATION ${DATA_INSTALL_DIR}/krfb/pics )

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/krfb
  PO_DIR krfb-eventsrc
)

tde_create_translated_desktop(
  SOURCE kinetd_krfb.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krfb-desktops
)


##### krfb (executable) #########################

tde_add_executable( krfb AUTOMOC
  SOURCES
    rfbcontroller.cc xupdatescanner.cc main.cpp connectionwidget.ui
    krfbifaceimpl.cc krfbiface.skel trayicon.cpp connectiondialog.cc
  LINK
    krfbconfig-static vncserver-static srvloc-static tdeui-shared tdeio-shared jpeg Xext pthread ${XTST_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### krfbconfig (static) #######################

tde_add_library( krfbconfig STATIC_PIC AUTOMOC
  SOURCES
    configuration.cc configuration.skel invitedialog.cc invitation.cc
    manageinvitations.ui personalinvitewidget.ui invitewidget.ui
    personalinvitedialog.cc
)

=== kopete/protocols/jabber/jingle/libjingle/talk/p2p/client/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -DLINUX
  -DPOSIX
  -DINTERNAL_BUILD
)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../..
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### cricketp2pclient (static) #################

tde_add_library( cricketp2pclient STATIC_PIC
  SOURCES
    sessionclient.cc basicportallocator.cc socketmonitor.cc
)

=== debian/changelog ===
tdenetwork-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Oct 2020 03:22:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>, Sarah Hobbs <hobbsee@ubuntu.com>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libtiff-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel], libxxf86vm-dev, libv4l-dev, automake, autoconf, libtool, libltdl-dev, libtqca-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, intltool, docbook-to-man, doxygen, gawk, tdelibs14-trinity-dev, libgnutls-dev | libgadu-dev (>> 1:1.12.0-3), libgadu-dev, libiw-dev (>> 27+28pre8), libmeanwhile-dev (>= 1.0.2), libslp-dev, libsqlite3-dev, libxml2-dev, libxslt1-dev, libxtst-dev, libtqtinterface-doc, sharutils, valgrind [!armel !mips !mipsel], libxxf86vm-dev, libv4l-dev, libtqca-dev
 Standards-Version: 3.8.4
 
 Package: tdenetwork-trinity
@@ -241,3 +241,5 @@
 Architecture: any
 Replaces: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
 Breaks: ksirc-kde3 (<< 4:14.0.0~), ksirc-trinity (<< 4:14.0.0~)
+Depends: ${shlibs:Depends}, ${perl:Depends}
+Recommends: libio-socket-ssl-perl

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),s390)
DONT_BUILD+= kwifimanager
endif
ifneq ($(DEB_HOST_ARCH_OS),linux)
DONT_BUILD+= kwifimanager tdednssd
endif
export DH_OPTIONS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_WEBCAM="ON" \
 -DWITH_LIBXSLT="ON" \
 -DWITH_ARTS="ON" \
 -DWITH_SLP="ON" \
 -DBUILD_KOPETE_PROTOCOL_ALL="ON" \
 -DBUILD_KOPETE_PLUGIN_ALL="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdenetwork-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := librss1-trinity kopete-trinity ksirc-trinity kwifimanager-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

DEB_FIXPERMS_EXCLUDE := opt/trinity/bin/kppp opt/trinity/bin/kppplogview \
	etc/ppp/peers/kppp-options

binary-install/kppp-trinity::
	chown root:dip debian/kppp-trinity/opt/trinity/bin/kppp*
	chown root:dip debian/kppp-trinity/etc/ppp/peers/kppp-options
	chmod 4754 debian/kppp-trinity/opt/trinity/bin/kppp
	chmod 0754 debian/kppp-trinity/opt/trinity/bin/kppplogview
	chmod 0640 debian/kppp-trinity/etc/ppp/peers/kppp-options
